local function search_for_lines(input, iterations, output)
	for i = 1, iterations do
		local text_id = input:format(i)
		local text = managers.localization:text(text_id)
		if text:sub(1, 5) == "ERROR" then
			return
		end
		output[#output + 1] = ("%s = %s\n"):format(text_id, text)
	end
end

local function log_subtitles(path, iterations)
	local data = PackageManager:script_data(Idstring("dialog"), Idstring(path))
	if not next(data) then
		log("[Subtitle Logger]: Path to dialog may be invalid.")
		return
	end

	data._meta = nil
	data.dialog = nil

	local output = {"[Subtitle Logger]:\n"}

	for k, v in pairs(data) do
		local id_template = v.id:match("_(.+)")
		if id_template then
			id_template = id_template .. "_%02d"
			search_for_lines(id_template, 10, output)
		end
	end

	table.sort(output)

	log(table.concat(output))
end

local path = "gamedata/dialogs/g_hoxton_stage2" -- The path to the dialog file.
local iterations = 6 -- The number of voice line variations that will be tested. Most lines have a few variations.

log_subtitles(path, iterations)